SQ(1)

NAME
sq-pki-link-list - List links

SYNOPSIS
sq pki link list [OPTIONS] PATTERN

DESCRIPTION
List links.

This command lists all bindings that are linked or whose link has been retracted.

Returns a non-zero exit code if an explicitly designated certificate was never linked.

OPTIONS

  Subcommand options

--ca
    Only lists bindings linked as CAs

    That is, only list a link if its trust depth is greater than 0.

--cert=FINGERPRINT|KEYID
    Use certificates with the specified fingerprint or key ID

--cert-domain=DOMAIN
    Use certificates where a user ID includes an email address for the specified domain

--cert-email=EMAIL
    Use certificates where a user ID includes the specified email address

--cert-grep=PATTERN
    Use certificates with a user ID that matches the pattern, case insensitively

--cert-userid=USERID
    Use certificates with the specified user ID

PATTERN
    A pattern to select the bindings to authenticate

    The pattern is treated as a UTF-8 encoded string and a case insensitive substring search (using the current locale) is performed against each User ID. If a User ID is not valid UTF-8, the binding is ignored.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Link the certificate EB28F26E2739A4870ECC47726F0073F60FD0CBF0 with the email address alice@example.org.

    sq pki link add \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --email=alice@example.org

List all links.

    sq pki link list

List links to certificates with an authenticated user ID that contains an email address in the specified domain.

    sq pki link list --cert-domain=example.org

SEE ALSO
sq(1), sq-pki(1), sq-pki-link(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1